import io
import sys
import os
import pygame
import base64
import assets

pygame.init()

screen = pygame.display.set_mode((666, 666)) #cursed

x = io.BytesIO(base64.b64decode(assets.x))
y = io.BytesIO(base64.b64decode(assets.y))
z = io.BytesIO(base64.b64decode(assets.z))
t = io.BytesIO(base64.b64decode(assets.t))

s = io.BytesIO(base64.b64decode(assets.s))

xI = pygame.image.load(x)
yI = pygame.image.load(y)
zI = pygame.image.load(z)
tI = pygame.image.load(t)

with open("cursedfile", "wb") as fh:
	fh.write(s.read())

sI = pygame.mixer.Sound("cursedfile")
os.remove("cursedfile")

xyzt = [xI, yI, zI, tI]

xyztm = [(100,600), (285,600), (300,600), (333,333)]

cou = 0
cur = xI

black = pygame.Color(0,0,0)
red = pygame.Color(255,0,0)

clock = pygame.time.Clock()

def DCLXVI(val):
	global cur
	cur = xyzt[val]
	pygame.mouse.set_pos(xyztm[val])

while True:
	clock.tick(60)

	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			
			pygame.display.quit()
			sys.exit()

		if event.type == pygame.KEYDOWN:
			if event.key == pygame.K_ESCAPE:
				pygame.display.quit()
				sys.exit()

	screen.blit(cur, (0,0))
	pygame.display.flip()

	mpos = pygame.mouse.get_pos()
	hover = screen.get_at(mpos)

	if hover == black:
		cou = 0
		DCLXVI(cou)

	elif hover == red:
		cou += 1
		DCLXVI(cou)
		if cou == 3:
			sI.play()
